### Method

# Foundry FileManager search

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_file_manager_search (
      FoundryFileManager* self,
      FoundryFileSearchOptions* options,
      FoundryOperation* operation
    )

#### Description [src]

This function will complete before the operation has fully completed searching all targets. You may wait for all search results to be populated by using `foundry_list_model_await()`.

Available since: 1.1

#### Parameters

`options`

  Type: `FoundryFileSearchOptions`

  The options for the search.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  The operation tracker.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryFileSearchMatch` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.